Update budget
curl --request PATCH \
--url https://api.nops.io/v1/budgets/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"name": "Q1 Cloud Budget (updated)"
}
'import requests
url = "https://api.nops.io/v1/budgets/{id}"
payload = { "name": "Q1 Cloud Budget (updated)" }
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({name: 'Q1 Cloud Budget (updated)'})
};
fetch('https://api.nops.io/v1/budgets/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.nops.io/v1/budgets/{id}"
payload := strings.NewReader("{\n \"name\": \"Q1 Cloud Budget (updated)\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"budget": {
"id": "budget-1",
"name": "Q1 Cloud Budget (updated)",
"targetType": "BUDGET",
"period": "MONTHLY",
"status": "ACTIVE",
"numberOfPeriods": 12,
"startDate": "2026-01-01",
"endDate": "2026-12-01",
"lookbackPeriod": null,
"budgetType": null,
"startingValue": null,
"customStartingValue": null,
"growthRate": null,
"normalizationPeriod": false,
"organizationId": "org-1",
"nopsClientId": 42,
"creatorId": "user-1",
"explorerReportId": "report-1",
"createdAt": "2026-07-17T12:00:00.000Z",
"updatedAt": "2026-07-17T12:00:00.000Z",
"explorerReport": {
"id": "report-1",
"name": "AWS Spend by Account"
},
"creator": {
"id": "user-1",
"firstName": "FinOps",
"lastName": "Analyst",
"email": "finops@example.com"
},
"plannings": []
}
}
}{
"error": {
"code": "forbidden_scope",
"message": "API key is missing required scope: budgets:write",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "forbidden_scope",
"message": "API key is missing required scope: budgets:write",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}Budgets
Update budget
PATCH
https://api.nops.io
/
v1
/
budgets
/
{id}
Update budget
curl --request PATCH \
--url https://api.nops.io/v1/budgets/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"name": "Q1 Cloud Budget (updated)"
}
'import requests
url = "https://api.nops.io/v1/budgets/{id}"
payload = { "name": "Q1 Cloud Budget (updated)" }
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({name: 'Q1 Cloud Budget (updated)'})
};
fetch('https://api.nops.io/v1/budgets/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.nops.io/v1/budgets/{id}"
payload := strings.NewReader("{\n \"name\": \"Q1 Cloud Budget (updated)\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"budget": {
"id": "budget-1",
"name": "Q1 Cloud Budget (updated)",
"targetType": "BUDGET",
"period": "MONTHLY",
"status": "ACTIVE",
"numberOfPeriods": 12,
"startDate": "2026-01-01",
"endDate": "2026-12-01",
"lookbackPeriod": null,
"budgetType": null,
"startingValue": null,
"customStartingValue": null,
"growthRate": null,
"normalizationPeriod": false,
"organizationId": "org-1",
"nopsClientId": 42,
"creatorId": "user-1",
"explorerReportId": "report-1",
"createdAt": "2026-07-17T12:00:00.000Z",
"updatedAt": "2026-07-17T12:00:00.000Z",
"explorerReport": {
"id": "report-1",
"name": "AWS Spend by Account"
},
"creator": {
"id": "user-1",
"firstName": "FinOps",
"lastName": "Analyst",
"email": "finops@example.com"
},
"plannings": []
}
}
}{
"error": {
"code": "forbidden_scope",
"message": "API key is missing required scope: budgets:write",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "forbidden_scope",
"message": "API key is missing required scope: budgets:write",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}Authorizations
API key from Settings → Security → API Keys. Pass as Authorization: Bearer YOUR_API_KEY.
Headers
Unique key for safe retries on write requests (required, max 64 characters).
Maximum string length:
64Path Parameters
Budget ID
Body
application/json
JSON request body
Response
Update budget
JSON object
Was this page helpful?
⌘I